xapian-core 1.4.19

Macros
version.h File Reference

Define preprocessor symbols for the library version. More...

## Macros
#define | XAPIAN_ENABLE_VISIBILITY
| The library was compiled with GCC's -fvisibility=hidden option.
#define | XAPIAN_VERSION "1.4.19"
| The version of Xapian as a C string literal.
#define | XAPIAN_MAJOR_VERSION 1
| The major component of the Xapian version. More...
#define | XAPIAN_MINOR_VERSION 4
| The minor component of the Xapian version. More...
#define | XAPIAN_REVISION 19
| The revision component of the Xapian version. More...
#define | XAPIAN_DOCID_BASE_TYPE int
| Base (signed) type for Xapian::docid and related types.
#define | XAPIAN_TERMCOUNT_BASE_TYPE int
| Base (signed) type for Xapian::termcount and related types.
#define | XAPIAN_TERMPOS_BASE_TYPE int
| Base (signed) type for Xapian::termpos.
#define | XAPIAN_TOTALLENGTH_TYPE unsigned long
| Type for returning total document length.
#define | XAPIAN_REVISION_TYPE unsigned long
| Underlying type for Xapian::rev.
#define | XAPIAN_HAS_CHERT_BACKEND 1
| XAPIAN_HAS_CHERT_BACKEND Defined if the chert backend is enabled.
#define | XAPIAN_HAS_GLASS_BACKEND 1
| XAPIAN_HAS_GLASS_BACKEND Defined if the glass backend is enabled.
#define | XAPIAN_HAS_INMEMORY_BACKEND 1
| XAPIAN_HAS_INMEMORY_BACKEND Defined if the inmemory backend is enabled.
#define | XAPIAN_HAS_REMOTE_BACKEND 1
| XAPIAN_HAS_REMOTE_BACKEND Defined if the remote backend is enabled.
#define | XAPIAN_AT_LEAST(A, B, C)
| XAPIAN_AT_LEAST(A,B,C) checks for xapian-core >= A.B.C - use like so: More...

## Detailed Description

Define preprocessor symbols for the library version.

## Macro Definition Documentation

## ◆ XAPIAN_AT_LEAST

#define XAPIAN_AT_LEAST | ( |  | A,
|  |  | B,
|  |  | C
| ) |  |

Value:
(XAPIAN_MAJOR_VERSION > (A) || \
(XAPIAN_MAJOR_VERSION == (A) && \
(XAPIAN_MINOR_VERSION > (B) || \
(XAPIAN_MINOR_VERSION == (B) && XAPIAN_REVISION >= (C)))))
XAPIAN_MAJOR_VERSION
#define XAPIAN_MAJOR_VERSION
The major component of the Xapian version.
Definition: version.h:58
XAPIAN_MINOR_VERSION
#define XAPIAN_MINOR_VERSION
The minor component of the Xapian version.
Definition: version.h:63
XAPIAN_REVISION
#define XAPIAN_REVISION
The revision component of the Xapian version.
Definition: version.h:68

XAPIAN_AT_LEAST(A,B,C) checks for xapian-core >= A.B.C - use like so:

#if XAPIAN_AT_LEAST(1,4,2)
/* Code needing features needing Xapian >= 1.4.2. */
#endif

Added in Xapian 1.4.2.

## ◆ XAPIAN_MAJOR_VERSION

#define XAPIAN_MAJOR_VERSION 1

The major component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 1

## ◆ XAPIAN_MINOR_VERSION

#define XAPIAN_MINOR_VERSION 4

The minor component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 0

## ◆ XAPIAN_REVISION

#define XAPIAN_REVISION 19

The revision component of the Xapian version.

E.g. for Xapian 1.0.14 this would be: 14